org.codehaus.groovy.reflection

## Interface GroovyClassValue<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  GroovyClassValueJava7

    public interface GroovyClassValue<T>

Abstraction for Java version dependent ClassValue implementations.

See Also:
  `ClassValue`

### Nested Class Summary

Nested Classes
`static interface` `GroovyClassValue.ComputeValue<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `get(java.lang.Class<?> type)`
`void` `remove(java.lang.Class<?> type)`

### Method Detail

#### get

    T get(java.lang.Class<?> type)

#### remove

    void remove(java.lang.Class<?> type)